# pointer_to_binary_function Class Template Reference
[Adaptors for pointers to functions]

Inheritance diagram for pointer_to_binary_function:

List of all members.

### template<class _Arg1, class _Arg2, class _Result>
class std::pointer_to_binary_function< _Arg1, _Arg2, _Result >

## Public Types

- typedef _Arg1 first_argument_type
- typedef _Result result_type
- typedef _Arg2 second_argument_type

## Public Member Functions

- _Result operator() (_Arg1 __x, _Arg2 __y) const
- pointer_to_binary_function (_Result(*__x)(_Arg1, _Arg2))

## Protected Attributes

- _Result(* _M_ptr )(_Arg1, _Arg2)

## Member Typedef Documentation

typedef _Arg1 first_argument_type `[inherited]`

| the type of the first argument Definition at line 116 of file stl_function.h.

typedef _Result result_type `[inherited]`

| type of the return type Definition at line 120 of file stl_function.h.

typedef _Arg2 second_argument_type `[inherited]`

| (no surprises here) the type of the second argument Definition at line 119 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h